Retrieve locations list
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL not found"
}{
"message": "Internal Server Error"
}Locations
Retrieve locations list
List locations for an object
GET
/
locations
Retrieve locations list
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL not found"
}{
"message": "Internal Server Error"
}Authorizations
Query Parameters
Defaults to 20 items per page, maximum 100 items allowed.
Page number. Starts from 1, defaults to 1.
Allowed values: customer, job.
Object ID.
Optional. Values: true, false. If true, the response will contain totla_count
Array of attribute, operator, and value parts.
Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.
Array of attribute and order values.
Response
Successful response
Related topics
FieldPulse APICustomer Account Structures: Parent/Child vs. Multi-LocationSetting Up Item List & InventoryItem List & InventoryCreating Related CustomersWas this page helpful?